
/* Error codes returned from PTWAPI functions */

#define PTW_OK						0
#define PTW_ERROR					1
#define PTW_PS_NOT_AVAILABLE	2
#define PTW_PS_NOT_CONNECTED	3

/* Functions in PTWAPI.DLL */


DWORD WINAPI PTW_Connect_PS (DWORD FAR *hinstance, LPSTR session_name);
DWORD WINAPI PTW_Disonnect_PS (DWORD hinstance);
DWORD WINAPI PTW_Copy_PS (DWORD hinstance, LPSTR area);
DWORD WINAPI PTW_Copy_PS_To_String (DWORD hinstance, LPSTR area,
												UINT row, UINT col, UINT length);
DWORD WINAPI PTW_Copy_PS_To_Rect (DWORD hinstance, LPSTR area,
											 UINT row, UINT col,
											 UINT rows, UINT cols);
DWORD WINAPI PTW_Copy_Attr (DWORD hinstance, LPSTR area);
DWORD WINAPI PTW_Copy_Attr_To_String (DWORD hinstance, LPSTR area,
												  UINT row, UINT col, UINT length);
DWORD WINAPI PTW_Copy_Attr_To_Rect (DWORD hinstance, LPSTR area,
												UINT row, UINT col,
												UINT rows, UINT cols);
DWORD WINAPI PTW_Copy_Charset (DWORD hinstance, LPSTR area);
DWORD WINAPI PTW_Copy_Charset_To_String (DWORD hinstance, LPSTR area,
													  UINT row, UINT col, UINT length);
DWORD WINAPI PTW_Copy_Charset_To_Rect (DWORD hinstance, LPSTR area,
													UINT row, UINT col,
													UINT rows, UINT cols);
DWORD WINAPI PTW_Copy_Color (DWORD hinstance, LPSTR area);
DWORD WINAPI PTW_Copy_Color_To_String (DWORD hinstance, LPSTR area,
													UINT row, UINT col, UINT length);
DWORD WINAPI PTW_Copy_Color_To_Rect (DWORD hinstance, LPSTR area,
												 UINT row, UINT col,
												 UINT rows, UINT cols);
DWORD WINAPI PTW_Get_Cursor_Location (DWORD hinstance,
												  UINT FAR *row, UINT FAR *col);
DWORD WINAPI PTW_Get_Columns_Per_Line (DWORD hinstance, UINT FAR *cols);
DWORD WINAPI PTW_Get_Rows_Per_Page (DWORD hinstance, UINT FAR *rows);
DWORD WINAPI PTW_Copy_String_To_PS (DWORD hinstance, LPSTR area,
												UINT row, UINT col, UINT length);
DWORD WINAPI PTW_Send_Keys (DWORD hinstance, LPSTR keys);
DWORD WINAPI PTW_Exec_Script (DWORD hinstance, LPSTR script, LPSTR area, SHORT max_length);
DWORD WINAPI PTW_Exec_Command (DWORD hinstance, LPSTR command, LPSTR area, SHORT max_length);
